/* squidclamav.h */

/*
  SquidClamav - A Clamav Antivirus Redirector for Squid
  
  This project is a modified version of the excellent Squirm Redirector
  for Squid Maintained by Chris Foote, and copyrighted
  as follow :

  Copyright (C) 1998 Chris Foote & Wayne Piekarski

  The original Squirm version used was squirm-1.0betaB. Some other parts
  are cut and paste from the ex1.c program given in the ClamAv distribution
  and are copyrighted: Copyright (C) 2002 - 2004 Tomasz Kojm

  All other code: Copyright (C) 2005 Gilles Darold - Groupe SAMSE

  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  Please see the file GPL in this directory for full copyright
  information.
*/


#ifndef SQUIDCLAMAV_H

/* squidclamav.h
   part of SquidClamav
*/

#ifndef LISTS_H
#include"lists.h"
#endif

#define SQUIDCLAMAV_H 1

#include<stdarg.h>


#define MAX_BUFF 8193
#define NORMAL_BUFF 4096

struct IN_BUFF {
  char url[8193];
  char src_address[255];
  char ident[255];
  char method[31];
};

int load_in_buff(char *, struct IN_BUFF *);

int pattern_compare(regex_t *regexv, char *);

/***** config ******/
void load_patterns(void);


#endif








